
Infrastructure - Story #1271

Refactor d1_libclient_java to work with new MMP handlers

2011-01-28 17:17 - Rob Nahf

Status: Closed Start date: 2011-01-28

Priority: High Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2011.10-Block.2   

Story Points:    

Description

The new mimemulitpart classes are incompatible with the structure of D1Node, which has somewhat brittle handlers for different

types of calls.  Need to refactor and generalize these lower level functions.

Subtasks:

Task # 1272: create new class for handling all REST calls Closed

Task # 1289: switch CNode public methods to use new D1RestClient class Closed

Task # 1273: create new class for assembling and encoding URLs Closed

Task # 1274: map existing public methods to new classes. Closed

Related issues:

Related to Infrastructure - Task #1258: flesh out unit and integration tests Closed 2011-01-24

History

#1 - 2011-02-10 04:06 - Dave Vieglais

- Target version changed from Sprint-2011.05 to Sprint-2011.06

- Position set to 4

#2 - 2011-02-14 17:53 - Rob Nahf

- Target version changed from Sprint-2011.06 to Sprint-2011.09-Block.2

- Position deleted (5)

- Position set to 30

#3 - 2011-03-07 17:37 - Dave Vieglais

- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.10-Block.2

- Position deleted (52)

- Position set to 2

#4 - 2011-03-14 18:39 - Rob Nahf

- Status changed from In Progress to Closed

all methods except login methods are switched over to use the new httpClient-based D1RestClient.  Login methods would have required extension of

the D1RestClient to handle non-MMP message bodies, but since these are likely to change with upcoming authorization and authentication

reimplementation, left this work for later.
